Bug 1000584 - GWT timer continues running even if you move away from a resource, even if you switch users
GWT timer continues running even if you move away from a resource, even if yo...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.8
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.9
Assigned To: Lukas Krejci
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-23 14:27 EDT by John Mazzitelli
Modified: 2014-03-26 04:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-26 04:32:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2013-08-23 14:27:42 EDT
Try this:

1) Login as user rhqadmin
2) Import a platform and storage node (you get this by default now, its automatically imported - for this exercise, we just need a server, any server will do)
3) Create a group with JUST the child server (DO NOT put the platfomr in the group) - I'll call this group "group foo"
4) Create a role "bob role" and put "group foo" in the role.
5) Create a user "bob" assign to that user the role "bob role"
6) As rhqadmin user still, navigate to your platform resource
7) log out as rhqadmin and immediately log in as "bob" (do NOT refresh the browser or otherwise hit F5)
8) wait 15 seconds - do not navigate anywhere - stay on the landing dashboard page. You will get a global exception saying you do not have access to the resource.
9) You can go to the "Administration", or "Bundle" or "Inventro" top views -doesn't matter, every 15 seconds, you get this global error!

If you view the remote call statistics in the #Test page:

http://localhost:7080/coregui/CoreGUI.html#Test/ServerAccess/RemoteServiceStatistics

Keep refreshing, the counter increments every 15 seconds for two calls: findResourceErrors and getLiveResourceAvailability

There is some timer that is always running every 15 seconds and never stopping. this has to do with the live avail checking that was added recently.

We must ensure that the timer is killed once you navigate away from the resource detail page and especially it must be killed if you log out.
Comment 1 John Mazzitelli 2013-08-23 14:28:46 EDT
assigning to lukas
Comment 2 Jay Shaughnessy 2013-08-26 15:26:40 EDT
I believe this is fixed in the bug/988881 branch.  Looking at the code it seemed the proper logic was now in place, and a quick test on that branch is not showing a runaway thread once navigating away from the resource detail or logging out.
Comment 3 Lukas Krejci 2013-09-05 06:17:21 EDT
Updates to BZ 988881 should deal with this. moving to ON_QA.
Comment 4 Heiko W. Rupp 2014-03-26 04:32:16 EDT
Bulk closing now that 4.10 is out.

If you think an issue is not resolved, please open a new BZ and link to the existing one.

Note You need to log in before you can comment on or make changes to this bug.